Skip to main content
GET
/
import
/
datasets
/
{id}
/
records
/
{record_id}
Get import dataset record
curl --request GET \
  --url https://api.prequel.co/import/datasets/{id}/records/{record_id} \
  --header 'X-API-KEY: <api-key>'
{
  "status": "<string>",
  "data": {
    "record": {
      "record_id": "<string>",
      "extract": {
        "last_extracted_at": "2023-11-07T05:31:56Z",
        "data": "<unknown>",
        "error": {
          "error_code": "<string>",
          "error_trace": "<string>"
        },
        "is_deleted": true
      },
      "transform": {
        "last_transformed_at": "2023-11-07T05:31:56Z",
        "data": "<unknown>",
        "error": {
          "error_code": "<string>",
          "error_trace": "<string>"
        },
        "is_deleted": true
      },
      "load": {
        "last_loaded_at": "2023-11-07T05:31:56Z",
        "data": "<unknown>",
        "error": {
          "error_code": "<string>",
          "error_trace": "<string>"
        },
        "is_deleted": true
      },
      "validate_schema": {
        "last_validated_at": "2023-11-07T05:31:56Z",
        "error": {
          "error_code": "<string>",
          "error_trace": "<string>"
        },
        "is_deleted": true
      }
    }
  },
  "message": "<string>"
}

Documentation Index

Fetch the complete documentation index at: https://import-docs.prequel.co/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

X-API-KEY
string
header
required

Path Parameters

id
string
required

Import Dataset ID.

record_id
string
required

Import Record ID.

Query Parameters

as_of
string

Retrieve record state as of this RFC3339 timestamp.

Response

OK

status
string
required
Allowed value: "success"
data
object
required
message
string
required